package com.ruoyi.demo.utils.statistics;

import cn.hutool.core.lang.Console;
import cn.hutool.core.util.StrUtil;
import com.ruoyi.demo.entity.BrandBusiness;
import com.ruoyi.demo.mapper.BrandBusinessDao;
import com.ruoyi.demo.mapper.BrandZoneDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class BrandBusinessStat {
    @Autowired
    BrandBusinessDao brandBusinessDao;
    @Autowired
    BrandZoneDao zoneDao;

    public void continueInsert() {
        //        List<String> ins = brandBusinessDao.selectIns();
        //        System.out.println("已经处理：" + ins.size() + "个");
        List<String> ins = zoneDao.selectIns();
        List<BrandBusiness> brandBusinesses = brandBusinessDao.selectByStatistics(ins);
        int total = brandBusinesses.size();
        for (int i = 0; i < brandBusinesses.size(); i++) {
            BrandBusiness business = brandBusinesses.get(i);
            brandBusinessDao.insert(business);
            //打印进度条
            Console.print("{}当前进度：{} {}/{}", '\r', StrUtil.repeat('#', 50 * i / total), i, total);
        }
    }
}
